Permission (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Permission interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Permission

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  DataPermission, RuntimePermission

    public interface Permission

extends ManagedElement

Naming Rules:
  0="applicationName,permissionName"
Persistable:
  true
Table Name:
  PERMISSION
Display Name:
  applicationName,permissionName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getPermissionName()`
`int` | `getPermissionType()`
`boolean` | `hasApplicationName()`
`boolean` | `hasPermissionName()`
`boolean` | `hasPermissionType()`
`void` | `setApplicationName(java.lang.String name)`
`void` | `setPermissionName(java.lang.String name)`
`void` | `setPermissionType(int type)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getApplicationName

    java.lang.String getApplicationName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationName

    void setApplicationName(java.lang.String name)

### hasApplicationName

    boolean hasApplicationName()

### getPermissionName

    java.lang.String getPermissionName()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPermissionName

    void setPermissionName(java.lang.String name)

### hasPermissionName

    boolean hasPermissionName()

### getPermissionType

    int getPermissionType()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPermissionType

    void setPermissionType(int type)

### hasPermissionType

    boolean hasPermissionType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD